package drills.drill03.exercise1

import util.active.toActive
import kotlin.time.ExperimentalTime
import kotlin.time.measureTime

@ExperimentalTime
fun main() {
    val math = MathImpl().toActive(Math::class.java)

    val elapsed = measureTime {
        for (i in 0 until 1000)
            math.add(i, 0)
    }

    println("Elapsed time: $elapsed")
}
